# Standard Port
ODBCSocketServer_PORT = 9628
import socket

class error_proto(Exception): pass

def FormatErrorString(err):
        Sreturn = """<?xml version=\"1.0\"?>\r\n"""
        Sreturn = Sreturn + """<result status=\"failure\">\r\n<error>""" + err +  """</error>\r\n</result>"""
        print Sreturn


class ODBCSocketServer:
    def __init__(self, hostname, connstr, port=ODBCSocketServer_PORT,timeout=15):
        self.hostname = hostname
        self.connstr = connstr
        self.port = port
        self.sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        try:
            self.sock.connect(self.hostname, self.port)
        except:
            FormatErrorString("Could not connect to host")
        else:
            self.file = self.sock.makefile('rb')
            
    def ExecSQL(self,sql):
        Ssend = "<?xml version=\"1.0\"?>\r\n <request>\r\n<connectionstring>" 
        Ssend = Ssend + self.connstr + "</connectionstring>\r\n<sql>" 
        Ssend = Ssend + sql + "</sql>\r\n</request>\r\n"
        self.sock.send(Ssend)
        try:    
            retStr = self.sock.recv(10240)
        except:         
            FormatErrorString("Error: Timeout on Read. No response received")
        else:    
            self.sock.close()
            return retStr
        
    
        

