/***************************************************************************
                          codbcclient.h  -  description
                             -------------------
    begin                : Sat Oct 30 1999
    copyright            : (C) 1999 by Team FXML
    email                : fxml@exite.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CODBCCLIENT_H
#define CODBCCLIENT_H
#include <string>

/**
  *@author Team FXML
  */

class CODBCClient {
public:

	CODBCClient();
	~CODBCClient();
	std::string sHostName;    //Host Name
	short nPort;              //Port
	std::string sConnectionString;  //Connection String
	short nSocketTimeout;		        //Socket Timeout
	
	std::string ExecSQL(std::string sSQL); //main execution method
	
private:
	std::string SubStrReplace(std::string cOriginal, char* cSearch, char* cReplace);
	
};

#endif
