VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "ODBC Client Test Application"
   ClientHeight    =   4548
   ClientLeft      =   60
   ClientTop       =   348
   ClientWidth     =   7140
   LinkTopic       =   "Form1"
   ScaleHeight     =   4548
   ScaleWidth      =   7140
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox tResults 
      Height          =   2295
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   9
      Text            =   "Form1.frx":0000
      Top             =   2160
      Width           =   6975
   End
   Begin VB.TextBox tSQL 
      Height          =   285
      Left            =   1560
      TabIndex        =   8
      Top             =   1200
      Width           =   3015
   End
   Begin VB.TextBox tConn 
      Height          =   285
      Left            =   2160
      TabIndex        =   7
      Top             =   840
      Width           =   2415
   End
   Begin VB.TextBox tPort 
      Height          =   285
      Left            =   840
      TabIndex        =   6
      Text            =   "9628"
      Top             =   480
      Width           =   615
   End
   Begin VB.TextBox tIP 
      Height          =   285
      Left            =   2640
      TabIndex        =   5
      Top             =   120
      Width           =   1935
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Exec SQL"
      Height          =   375
      Left            =   1440
      TabIndex        =   0
      Top             =   1680
      Width           =   1335
   End
   Begin VB.Label Label3 
      Caption         =   "SQL To Execute:"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   1200
      Width           =   1335
   End
   Begin VB.Label Label2 
      Caption         =   "ODBC Connection String:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   840
      Width           =   1935
   End
   Begin VB.Label Label1 
      Caption         =   "Port:"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   480
      Width           =   375
   End
   Begin VB.Label H 
      Caption         =   "ODBC Server Name/IP Address:"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   2415
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'This is public domain code, modify
'as needed

Private Sub Command1_Click()
On Error GoTo errhand
Dim odbc As Object
Dim sresult As String

'create the object
Set odbc = CreateObject("odbcclient.odbcclient.1")

odbc.connectionstring = tConn.Text
odbc.HostName = tIP.Text
odbc.Port = CInt(tPort.Text)
Screen.MousePointer = vbHourglass

'exec the sql
sresult = odbc.execsql(tSQL.Text)

'grab and populate results
tResults.Text = "Results (received " & CStr(Len(sresult)) & " bytes):" & vbCrLf & sresult

'exit
Screen.MousePointer = vbDefault
Exit Sub

'error handler
errhand:
Screen.MousePointer = vbDefault
sresult = Err.Description
tResults.Text = "Results (received " & CStr(Len(sresult)) & " bytes):" & vbCrLf & sresult
MsgBox "Fatal Error: " & sresult
End Sub
